Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 824361 - Review Request: whisper - Fixed size round-robin style database for graphite
Summary: Review Request: whisper - Fixed size round-robin style database for graphite
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Stalled review
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-05-23 10:47 UTC by Aditya Patawari
Modified: 2012-09-03 06:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-03 06:35:10 UTC


Attachments (Terms of Use)

Description Aditya Patawari 2012-05-23 10:47:02 UTC
SPEC: http://adimania.fedorapeople.org/graphite/whisper.spec
SRPM: http://adimania.fedorapeople.org/graphite/whisper-0.9.9-1.fc17.src.rpm
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4096064

Whisper is a round-robin style database for graphite. It features a sub-set of rrd. It is implemented in Python.

Comment 1 Volker Fröhlich 2012-05-27 20:31:41 UTC
Following the naming guidelines, the package should be called python-whisper: http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29

Looking at https://launchpad.net/graphite/0.9/0.9.10/+download/check-dependencies.py, the minimum Python version seems to be 2.4 -- not 2.6. In case I'm wrong, this package can not go to EPEL 5, since EL 5 has 2.4. Therefore please delete the clean section and the cleaning rm in the install section. Also drop it, if you don't aim for EPEL 5 in general.

The general defattr is not necessary.

Please use the version macro in Source ("0.9.9").

BR python2-devel: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

I think you could add a bit more information to the description.

("%setup -q" would have been enough, but with the new name you'll have to use -n anyway. Also, use the name macro consistently.)

There's a _sharedstatedir macro that resolves to "/var/lib". Please use that instead of _localstatedir and the lib string.

I found an import of "rrdtool". You should therefore require rrdtool-python, I guess. You're also assuming a user called "graphite" to be present. This user seems to be created in your carbon package. You must therefore require it.

Comment 2 Volker Fröhlich 2012-07-22 20:07:23 UTC
Still interested?

Comment 3 Volker Fröhlich 2012-08-10 20:16:26 UTC
I'll wait another week. If you don't respond by then, I'll close this ticket, as of https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 4 Gianluca Varisco 2012-08-29 09:25:18 UTC
Aditya, please have a look at https://bugzilla.redhat.com/show_bug.cgi?id=849381

Comment 5 Volker Fröhlich 2012-09-03 06:35:10 UTC
Closed as announced


Note You need to log in before you can comment on or make changes to this bug.